Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.conversion
Interface TypeConverterHolder

All Known Implementing Classes:
  DefaultTypeConverterHolder

    public interface TypeConverterHolder

Holds all mappings related to `TypeConverter`s

Method Summary
`void` | `addDefaultMapping(String className, TypeConverter typeConverter)` Adds mapping for default type converters - application scoped
`void` | `addMapping(Class clazz, Map<String,Object> mapping)` Assign mapping of converters for given class
`void` | `addNoMapping(Class clazz)` Adds no mapping flag for give class
`void` | `addUnknownMapping(String className)` Adds no converter flag for given class name FIXME lukaszlenart: maybe it should be merged with NoMapping
`boolean` | `containsDefaultMapping(String className)` Checks if converter was already defined for given class
`boolean` | `containsNoMapping(Class clazz)` Check if there is no mapping for given class to convert
`boolean` | `containsUnknownMapping(String className)` Checks if no mapping was defined for given class name FIXME lukaszlenart: maybe it should be merged with NoMapping
`TypeConverter` | `getDefaultMapping(String className)` Returns instance of `TypeConverter` associated with given class
`Map<String,Object>` | `getMapping(Class clazz)` Target class conversion Mappings.

Method Detail

### addDefaultMapping

    void addDefaultMapping(String className,
                           TypeConverter typeConverter)

  Adds mapping for default type converters - application scoped

  Parameters:
    `className` - name of the class with associated converter
    `typeConverter` - `TypeConverter` instance for associated class

### containsDefaultMapping

    boolean containsDefaultMapping(String className)

  Checks if converter was already defined for given class

  Parameters:
    `className` - name of the class to check for
  Returns:
    true if default mapping was already specified

### getDefaultMapping

    TypeConverter getDefaultMapping(String className)

  Returns instance of `TypeConverter` associated with given class

  Parameters:
    `className` - name of the class to return converter for
  Returns:
    instance of `TypeConverter` to be used to convert class

### getMapping

    Map<String,Object> getMapping(Class clazz)

  Target class conversion Mappings.

  Parameters:
    `clazz` - class to convert to/from
  Returns:
    `TypeConverter` for given class

### addMapping

    void addMapping(Class clazz,
                    Map<String,Object> mapping)

  Assign mapping of converters for given class

  Parameters:
    `clazz` - class to convert to/from
    `mapping` - property converters

### containsNoMapping

    boolean containsNoMapping(Class clazz)

  Check if there is no mapping for given class to convert

  Parameters:
    `clazz` - class to convert to/from
  Returns:
    true if mapping couldn't be found

### addNoMapping

    void addNoMapping(Class clazz)

  Adds no mapping flag for give class

  Parameters:
    `clazz` - class to register missing converter

### containsUnknownMapping

    boolean containsUnknownMapping(String className)

  Checks if no mapping was defined for given class name FIXME lukaszlenart: maybe it should be merged with NoMapping

  Parameters:
    `className` - name of the class to check for
  Returns:
    true if converter was defined for given class name

### addUnknownMapping

    void addUnknownMapping(String className)

  Adds no converter flag for given class name FIXME lukaszlenart: maybe it should be merged with NoMapping

  Parameters:
    `className` - name of the class to mark there is no converter for it

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.